Pular para o conteúdo principal

Get Pre Signed Url

GET 

/v1/:workspace_id/presigned/url

Get a pre-signed URL for uploading a document.

Args: workspace_id (str): The ID of the workspace to upload the document to. expires_in (int, optional): The expiration time in seconds. Defaults to 3600. temporary (bool, optional): Flag to determine if the URL is temporary or permanent. Defaults to True. repository (DocumentRepository): The repository for managing documents. user (TokenData): The token data of the authenticated user.

Returns

JSONResponse: A JSON response containing the pre-signed URL and other parameters. {"url": response["url"], "fields": response["fields"]}

"fields": { "key": "temp/clikqktri000cz8k4appdqku3/019079b0-0f30-7337-bfa2-94f57b94d73b", "AWSAccessKeyId": str, "policy": str, "signature": str },

Request

Responses

Successful Response